Subject: Re: Bridging broken/unfriendly

From: Stephen Hemminger <[email-masked]>
Date: Wed, 28 Sep 2011 08:30:21 -0700

On Sat, 24 Sep 2011 18:28:06 -0400
Stephen Clark <[email-masked]> wrote:

> Hi,
> 
> Is there some reason Linux bridging won't let the ip address be on
> one of the interfaces, like FreeBSD does, instead of the bridge device?
> 
> This makes it very difficult or impossible to remotely add the interface
> you are remoted in on to a bridge, or is there some sneaky way to
> do this without losing your connection?
> 

I would like to see a clean solution to setting up a bridge.
There was a patch that was never completed to allow migrating a ethernet
interface into a bridge. It is possible to do it with a script, by
dumping routes with ip command and replaying that into the bridge.
To really do it right (including neighbor table and iptables rules)
would be complex, especially considering the error cases.

Having looked at the FreeBSD code, that is not the answer. Trying to keep
a clean separation between IP and bridging is much better.